Skip to main content
POST
/
v1
/
process
/
workflows
/
executeWorkflow
curl --location 'https://api.sarasfinance.com/v1/process/workflows/executeWorkflow' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
    "subProjectId": "93d599a6-a396-4ef6-b30e-aff95c56c523",
    "processId": "ef341826-1cab-4680-aa52-efd001f9da00",
    "stageKey": "stage_init",
    "workflowId": "wf_b2a7590d"
}'
{
  "runId": {
    "id": "run_017b2c9a",
    "state": "RACING"
  }
}

Body Parameters

subProjectId
string
required
The unique identifier for the sub-project.
processId
string
required
The unique identifier for the process.
stageKey
string
required
The key identifying the stage where this workflow is configured.
workflowId
string
required
The unique ID of the workflow to execute.
otherDetails
object
Optional custom metadata and extra contextual options to start the workflow run.

Response

runId
object
curl --location 'https://api.sarasfinance.com/v1/process/workflows/executeWorkflow' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
    "subProjectId": "93d599a6-a396-4ef6-b30e-aff95c56c523",
    "processId": "ef341826-1cab-4680-aa52-efd001f9da00",
    "stageKey": "stage_init",
    "workflowId": "wf_b2a7590d"
}'
{
  "runId": {
    "id": "run_017b2c9a",
    "state": "RACING"
  }
}

Error Codes

CodeIDDescription
ERROR_PROCESS_META_IS_MISSING_IN_REQUEST1200Metadata missing in request (e.g., processId or workflowId)
ERROR_PROCESS_DOES_NOT_EXIST1239The specified process ID was not found
ERROR_SUBPROCESS_META_NOT_FOUND1202Sub-project metadata not found
ERROR_NOT_ALLOWED_TO_CALL_METHOD1209User unauthorized to execute workflows